%define version      0.4.16
%define release      %mkrel 6

%define scim_version 1.4.7

Name:         scim-bridge
Summary:      Yet another IM client of SCIM
Version:      %{version}
Release:      %{release}
Group:        System/Internationalization
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
License:      GPLv2+
URL:          http://sourceforge.net/projects/scim/
Source0:      http://downloads.sourceforge.net/scim/%{name}-%{version}.tar.gz
Patch0:		scim-bridge-0.4.15.2-use-mandriva-qt-dir.patch
Patch1:		bug-351920-should-return-retval.patch
Patch2:		scim-bridge-0.4.15.2-qt4-focus.patch
Patch3:		scim-bridge-0.4.15.2-linkage.patch
Patch4:		scim-bridge-0.4.16-gcc44.patch
Patch5:		scim-bridge-0.4.15-fix-gdm.patch
Patch6:		scim-bridge-0.4.16-fix-gtk-key-snooper.patch
Patch7:		scim-bridge-0.4.16-fixes-null-imengine.patch
Requires:        scim >= %{scim_version}
BuildRequires:   scim-devel >= %{scim_version}
BuildRequires:   automake doxygen gettext-devel intltool
BuildRequires:	 qt4-devel
Provides:        scim-client = %{scim_api}
Suggests:        %name-gtk = %{version}-%{release}

%description
Scim-bridge is yet another IM client of SCIM.
It solves SCIM's C++ ABI problems.

%package gtk
Summary:    Scim-bridge gtk immodule
Group:      System/Internationalization
Obsoletes:   %mklibname scim-bridge 0

%description gtk
scim-bridge gtk immodule.

%package    qt4
Summary:    Scim-bridge for qt4
Group:      System/Internationalization
Requires:   %{name} = %{version}

%description qt4
scim-bridge for qt4.

%prep
%setup -q -n scim-bridge-%{version}
%patch0 -p0
%patch1 -p1
%patch2 -p1
%patch3 -p0
%patch4 -p1
%patch5 -p1
%patch6 -p0
%patch7 -p1

%build
%configure2_5x --enable-agent --enable-gtk2-immodule --disable-qt3-immodule --enable-qt4-immodule
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

# remove unnecessary files
rm -f %{buildroot}/%{_libdir}/gtk-2.0/immodules/*.{a,la}
rm -f %{buildroot}/%{qt4plugins}/inputmethods/im-scim-bridge.{a,la}

%clean
rm -rf $RPM_BUILD_ROOT

%post gtk
gtk-query-immodules-2.0 > %{_sysconfdir}/gtk-2.0/gtk.immodules.%_lib

%postun gtk
gtk-query-immodules-2.0 > %{_sysconfdir}/gtk-2.0/gtk.immodules.%_lib

%files
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog README
%{_bindir}/scim-bridge

%files gtk
%defattr(-,root,root)
%{_libdir}/gtk-2.0/immodules/*.so

%files qt4
%defattr(-,root,root)
%{qt4plugins}/inputmethods/*.so




%changelog
* Mon Jan 24 2011 pterjan <pterjan> 0.4.16-6.mga1
+ Revision: 37364
- Drop old stuff
- imported package scim-bridge


* Fri Dec 03 2010 Oden Eriksson <oeriksson@mandriva.com> 0.4.16-6mdv2011.0
+ Revision: 607516
- rebuild

* Sun May 09 2010 Funda Wang <fwang@mandriva.org> 0.4.16-5mdv2010.1
+ Revision: 544231
- sync with fedora patches (last try)

* Fri May 07 2010 Funda Wang <fwang@mandriva.org> 0.4.16-4mdv2010.1
+ Revision: 543095
- requires scim binary to work

* Thu Dec 10 2009 Thierry Vignaud <tv@mandriva.org> 0.4.16-3mdv2010.1
+ Revision: 476008
- die kde3, die!

* Sat Sep 19 2009 Funda Wang <fwang@mandriva.org> 0.4.16-2mdv2010.0
+ Revision: 444692
- rebuild

  + Christophe Fergeau <cfergeau@mandriva.com>
    - fix compilation with gcc 4.4

* Fri May 01 2009 Funda Wang <fwang@mandriva.org> 0.4.16-1mdv2010.0
+ Revision: 369356
- New version 0.4.16

* Thu Jan 29 2009 Funda Wang <fwang@mandriva.org> 0.4.15.2-2mdv2009.1
+ Revision: 335340
- rebuild

* Sun Jan 25 2009 Funda Wang <fwang@mandriva.org> 0.4.15.2-1mdv2009.1
+ Revision: 333395
- 0.4.15.2

* Wed Jan 21 2009 Funda Wang <fwang@mandriva.org> 0.4.15-5mdv2009.1
+ Revision: 332092
- revise patch

* Sun Sep 21 2008 Funda Wang <fwang@mandriva.org> 0.4.15-4mdv2009.0
+ Revision: 286333
- empty po dir breaks build
- fix focus stolen bug

* Mon Sep 08 2008 Funda Wang <fwang@mandriva.org> 0.4.15-3mdv2009.0
+ Revision: 282452
- merge suse patch

  + Thierry Vignaud <tv@mandriva.org>
    - rebuild early 2009.0 package (before pixel changes)

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Mon Jun 02 2008 Funda Wang <fwang@mandriva.org> 0.4.15-2mdv2009.0
+ Revision: 214303
- BR intltool
- BR gettext-devel
- add patch to install qt plugins into correct dir

* Tue Feb 26 2008 Funda Wang <fwang@mandriva.org> 0.4.15-1mdv2008.1
+ Revision: 175233
- New version 0.4.15

* Mon Feb 18 2008 Thierry Vignaud <tv@mandriva.org> 0.4.14-4mdv2008.1
+ Revision: 171090
- rebuild
- fix "foobar is blabla" summary (=> "blabla") so that it looks nice in rpmdrake
- fix no-buildroot-tag

* Tue Jan 29 2008 Funda Wang <fwang@mandriva.org> 0.4.14-3mdv2008.1
+ Revision: 159823
- add patch fix novell bug#331614

* Sat Dec 29 2007 Funda Wang <fwang@mandriva.org> 0.4.14-2mdv2008.1
+ Revision: 139333
- explicitly specify plugin
- New versino 0.4.14

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Fri Dec 07 2007 Funda Wang <fwang@mandriva.org> 0.4.13-4mdv2008.1
+ Revision: 116133
- Provides scim-client with scim-api-version
- rename libpackage to gtk to reflect the real content
- fix URL

* Sat Aug 25 2007 Funda Wang <fwang@mandriva.org> 3mdv2008.0-current
+ Revision: 71223
- Add CVS fix for status notification crash

* Tue Aug 07 2007 Funda Wang <fwang@mandriva.org> 0.4.13-2mdv2008.0
+ Revision: 59807
- Add fedora patch to fix rhbug#242864

* Thu Jul 05 2007 Funda Wang <fwang@mandriva.org> 0.4.13-1mdv2008.0
+ Revision: 48359
- BR qt4
  seperate qt4 immodule
- New version

* Sun Apr 22 2007 Funda Wang <fwang@mandriva.org> 0.4.12-1mdv2008.0
+ Revision: 16937
- go for 0.4.12 now.

* Sun Apr 22 2007 Funda Wang <fwang@mandriva.org> 0.4.10-2mdv2008.0
+ Revision: 16733
- Revert to 0.4.10, as 0.4.12 doesn't build now.
- New upstream version 0.4.12
  Fix qtplugin dir.


* Mon Feb 26 2007 Thierry Vignaud <tvignaud@mandriva.com> 0.4.10-1mdv2007.0
+ Revision: 125923
- new release (UTUMI Hirosi <utuhiro78@yahoo.co.jp>)

* Tue Jan 09 2007 Thierry Vignaud <tvignaud@mandriva.com> 0.4.9-1mdv2007.1
+ Revision: 106780
- new release
- fix build in a minimal chroot
- new release
- new release (UTUMI Hirosi <utuhiro78@yahoo.co.jp>)
- Import scim-bridge

* Fri Sep 08 2006 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 0.4.2-2.20060907.1mdv2007.0
- latest snapshot
- fix for m17n keymaps
- https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=205098

* Sat Sep 02 2006 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 0.4.2-1mdv2007.0
- new release

* Wed Aug 30 2006 Thierry Vignaud <tvignaud@mandriva.com> 0.4.1-2mdv2007.0
- fix build on x86_64

* Tue Aug 29 2006 Thierry Vignaud <tvignaud@mandriva.com> 0.4.1-1mdv2007.0
- fix explicit requires on libqt3
- new release (UTUMI Hirosi <utuhiro78@yahoo.co.jp>)

* Tue Aug 15 2006 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 0.2.7-2mdv2007.0
- add patch0 (scim-bridge_fix_memory_violation.diff)

* Tue Aug 01 2006 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 0.2.7-1mdv2007.0
- new release

* Tue Jul 25 2006 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 0.2.5-1mdv2007.0
- new release

* Tue Jun 20 2006 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 0.2.1-2.20060619.1mdv2007.0
- new release
- latest snapshot

* Mon May 15 2006 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 0.1.8-1mdk
- new release

* Sun Apr 30 2006 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 0.1.7-1mdk
- new release

* Tue Apr 18 2006 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 0.1.6-1mdk
- new release

* Sat Apr 15 2006 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 0.1.5-1mdk
- first spec for Mandriva

